{ stdenv, fetchFromGitHub, python37Packages, wrapQtAppsHook }:

python37Packages.buildPythonApplication rec {
  pname = "nagstamon";
  version = "3.4.1";

  src = fetchFromGitHub {
    owner  = "foosinn";
    repo = "Nagstamon";
    rev = "nixos";
    sha256 = "0m2hlnz7brcvin451y09l73lghhdjs8zwd7wn7k2ahv3829lksfq";
  };

  # Test assumes darwin
  doCheck = false;

  nativeBuildInputs = [ wrapQtAppsHook ];
  dontWrapQtApps = true;
  postFixup = ''
    wrapQtApp $out/bin/nagstamon.py
  '';

  propagatedBuildInputs = with python37Packages; [
    beautifulsoup4
    configparser
    dateutil
    kerberos
    keyring
    lxml
    psutil
    pyqt5_with_qtmultimedia
    requests
    requests-kerberos
    xlib
  ];

  meta = with stdenv.lib; {
    description = "A status monitor for the desktop";
    homepage = "https://nagstamon.ifw-dresden.de/";
    license = licenses.gpl2;
    maintainers = with maintainers; [ pSub ];
    inherit version;
  };
}

